Search found 18 matches

by RandomPipeBender
Fri May 28, 2021 3:55 am
Forum: Help on using FreeCAD
Topic: Assembly 4 workbench: Is is safe to ignore 'Links go out of the allowed scope' warnings?
Replies: 1
Views: 585

Assembly 4 workbench: Is is safe to ignore 'Links go out of the allowed scope' warnings?

Hi, I've read through the examples and tutorials at https://github.com/Zolko-123/FreeCAD_Examples and I've noticed that when a local coordinate system that's supported by something 'inside' a body (e.g. a sketch vertex or a vertex of the body) is created and the local coordinate system is a child of...
by RandomPipeBender
Wed May 19, 2021 7:47 pm
Forum: Python scripting and macros
Topic: cutHoles behaves unintuitively depending on how face is constructed
Replies: 10
Views: 2405

Re: cutHoles behaves unintuitively depending on how face is constructed

That's not very elegant, since we always end up with : face.cutHoles(wires) if not face.isValid(): face.validate() So I am now testing some face validation inside cutHoles() function. Thanks, that's very much appreciated. I can, of course, only speak for myself, but if it turns out too difficult or...
by RandomPipeBender
Wed May 19, 2021 7:40 pm
Forum: Python scripting and macros
Topic: How to run 'refine shape' from python
Replies: 12
Views: 2742

Re: How to run 'refine shape' from python

Thanks a lot for your help guys. Is there a documentation of the python API somewhere? I'd hate to bug the forum every time I run into one of these issues. Most of my questions just come down to 'how to use the API properly'. My best way up to now is to do a Google search starting with "FreeCA...
by RandomPipeBender
Wed May 19, 2021 11:56 am
Forum: Python scripting and macros
Topic: How to run 'refine shape' from python
Replies: 12
Views: 2742

Re: How to run 'refine shape' from python

Sorry! I had tested it here and then transferred it to the names you used - and got the wrong post with your not working example. You have to set Refine for the fusion you created, so it should be part = face.extrude(Base.Vector(x, 0, 0)) anotherface = Part.Face(w) anotherpart = anotherface.extrude...
by RandomPipeBender
Wed May 19, 2021 11:48 am
Forum: Python scripting and macros
Topic: How to copy a compound?
Replies: 3
Views: 834

Re: How to copy a compound?

Awesome! Thanks a lot. If you want a static copy of only the shape : App.ActiveDocument.addObject("Part::Feature", "NAME").Shape = App.ActiveDocument.ORIGINAL_COMPOUND.Shape Just for the record, when I create a compound like this it's empty. Not sure if that's intended behaviour ...
by RandomPipeBender
Wed May 19, 2021 8:39 am
Forum: Python scripting and macros
Topic: How to copy a compound?
Replies: 3
Views: 834

How to copy a compound?

Hi everyone, I'd like to make a copy of a compound taking advantage of the fact that I can move a 'sub-assembly' around without having to translate the individual shapes. Unfortunately I can't find anything suitable here: https://freecad.github.io/SourceDoc/d7/d7e/classPart_1_1Feature.html How is th...
by RandomPipeBender
Wed May 19, 2021 8:33 am
Forum: Python scripting and macros
Topic: cutHoles behaves unintuitively depending on how face is constructed
Replies: 10
Views: 2405

Re: cutHoles behaves unintuitively depending on how face is constructed

It seems that the correct order is counterclokwise, as circle is drawn in counterclockwise order, this is not immediate to see as circle has start point and end point coincident, (is a "circular edge"), if you see Part,ArcOfCircle, you will see that the order is counterclockwise, ie a low...
by RandomPipeBender
Wed May 19, 2021 8:30 am
Forum: Python scripting and macros
Topic: cutHoles behaves unintuitively depending on how face is constructed
Replies: 10
Views: 2405

Re: cutHoles behaves unintuitively depending on how face is constructed

Chris_G wrote: Tue May 18, 2021 1:41 pm I meant you must validate the face after cutHoles().
That did the trick. Thanks a lot!
by RandomPipeBender
Wed May 19, 2021 8:29 am
Forum: Python scripting and macros
Topic: How to run 'refine shape' from python
Replies: 12
Views: 2742

Re: How to run 'refine shape' from python

union = part.fuse(part2, Refine=True) union.Refine = True I think that all Properties which you see in the GUI's data and view tabs are available in this way. Both don't work for me. The first one throws: <class 'TypeError'>: fuse() takes no keyword arguments The second one: <class 'AttributeError'...
by RandomPipeBender
Tue May 18, 2021 1:28 pm
Forum: Packaging
Topic: [WIP] FreeCAD Packagers and Package Status
Replies: 23
Views: 120122

Re: [WIP] FreeCAD Packagers and Package Status

Just fyi: The information regarding Fedora is a bit outdated. In the last three stable versions of Fedora the corresponding FreeCAD versions are (see https://src.fedoraproject.org/rpms/freecad): Fedora 34 freecad-0.19.2 Fedora 33 freecad-0.19.2 Fedora 32 freecad-0.18.4 Fedora 31 freecad-0.18.4 Only ...